Skip to content

Domains (Collection)

Endpoint

Method URL
GET /domains

GET /domains

Parameter Type Description
page int Result page. Defaults to 1.
pagesize int Max per page. Range [10, 100]. Defaults to 10.
sort string Any domain field. Defaults to name.
q string Search string filter.

Returns: The domain collection.

Example:

curl -u "username:api_key" -H "Accept: application/json" \
  "https://app.duo.pt/domains?page=1&pagesize=10"

Response:

{
  "success": true,
  "data": {
    "pageCount": 1,
    "domains": [
      {
        "id": 1,
        "name": "go.duo.pt",
        "owner": 1,
        "dkim_selector": "duo202012",
        "dkim_public_key": "...",
        "shared_with_children": true,
        "dkim_domain_name": null,
        "proof_of_control": null,
        "is_sending": true,
        "is_bounce": true
      }
    ],
    "success": true,
    "page": 1
  }
}